import { Construct } from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface PersonalizeDatasetGroupProps {
    /**
     * The name for the Dataset Group.
     *
     * @default - `${id}-${STAGE}`
     * @stability stable
     */
    readonly datasetGroupName?: string;
    /**
     * The schema to use for interactions.
     *
     * @default - json string representing default interaction schema
     * @stability stable
     */
    readonly interactionsSchema?: string;
}
/**
 * @stability stable
 */
export declare class PersonalizeDatasetGroup extends Construct {
    /**
     * @stability stable
     */
    readonly datasetGroupArn: string;
    /**
     * @stability stable
     */
    readonly trackingID: string;
    /**
     * @stability stable
     */
    readonly trackingArn: string;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: PersonalizeDatasetGroupProps);
}
